CVE-2023-43051

CVSS 3.1 Score 5.4 of 10 (medium)

Details

Published Feb 26, 2024
Updated: Mar 22, 2024
CWE ID 79

Summary

CVE-2023-43051 is a vulnerability affecting IBM Cognos Analytics versions 11.1.7, 11.2.4, and 12.0.0, allowing for cross-site scripting attacks. This vulnerability enables users to inject arbitrary JavaScript code into the Web UI, potentially compromising the intended functionality and leading to the disclosure of credentials within a trusted session. The vulnerability has a base severity rating of MEDIUM with a base score of 5.4 according to CVSS:3.1 standards. The privileges required for exploitation are low and user interaction is required. The attack vector is through the network and the impact on integrity and confidentiality is low, with no availability impact identified. Remediation actions should be taken by applying relevant patches or updates provided by IBM to mitigate this security risk in affected versions of Cognos Analytics.

Note: The information provided in this report is based on the available data and may require further investigation or verification for complete accuracy.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-43051 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options